import {requestInstance} from "@/service";

export function taskSetHomeTableData(params) {
 return requestInstance({
  url:'/ptjkInterface/getGooflowPageList',
  data:{
   ...params
  }
 })
}
export function changeTaskSetStatus(  CATALOG_CODE,
                                      STATE){
 return requestInstance({
  url:'/ptjkInterface/editGooflowByCode',
  data:{
   CATALOG_CODE,
   STATE
  }
 })
}
export function getGoolFlowTemplate() {
 return requestInstance({
  url:'/ptjkInterface/getGooflowTempLatePageList',
  data:{
   pageIndex:'',
   pageSize:''
  }
 })
}
export function getGoofFlowTemplate(CATALOG_CODE){
 return requestInstance({
  url:'/ptjkInterface/getGooflowByCode',
  data:{
   CATALOG_CODE
  }
 })
}
export function getGoolFlowTemplate2(id) {
 return requestInstance({
  url:'/ptjkInterface/getGooflowByID',
  data:{
   id
  }
 })
}
export function getChartClearRuleTableData(cid) {
 return requestInstance({
  url:'/DataCleaning/getCleaningDeployByCid',
  data:{
   cid
  }
 })
}
export function getChartQualityCheckRuleTableData(params) {
 return requestInstance({
  url:'/zljc/getInspectionListByCode',
  data:{
   ...params
  }
 })
}
export function getChartLabelRuleTableData(params) {
 return requestInstance({
  url:'/DataLabel/queryLabelConfigRulesInfoByCid',
  data:{
   ...params
  }
 })
}
export function getChartSafeRuleTableData(params) {
 return requestInstance({
  url:'/ptjkInterface/selectSafaRulesPageList',
  data:{
   ...params
  }
 })
}
